gtk.Fixed
Prev | The gtk Class Reference | Next

## gtk.Fixed

gtk.Fixed — a container which allows you to position widgets at fixed coordinates

## Synopsis

    class gtk.Fixed(gtk.Container):
        gtk.Fixed()
        def put(widget, x, y)
        def move(widget, x, y)
        def set_has_window(has_window)
        def get_has_window()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Fixed

## Implemented Interfaces

`gtk.Fixed` implements `gtk.Buildable`

## gtk.Fixed Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

## gtk.Fixed Style Properties

gtk.Widget Style Properties

## gtk.Fixed Child Properties

"x" | Read/Write | The x position of the child widget.
"y" | Read/Write | The y position of the child widget.

## gtk.Fixed Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

## Description

The `gtk.Fixed` widget is a container that can place child widgets at fixed positions and with fixed sizes, given in pixels. `gtk.Fixed` performs no automatic layout management. For most applications, you should not use this container! It keeps you from having to learn about the other PyGTK containers, but it results in broken applications. With `gtk.Fixed`, the following things will result in truncated text, overlapping widgets, and other display bugs:

- Themes, which may change widget sizes.

- Fonts other than the one you used to write the app will of course change the size of widgets containing text; keep in mind that users may use a larger font because of difficulty reading the default, or they may be using Windows or the framebuffer port of PyGTK, where different fonts are available.

- Translation of text into other languages changes its size. Also, display of non-English text will use a different font in many cases.

In addition, the fixed widget can't properly be mirrored in right-to-left languages such as Hebrew and Arabic. i.e. normally PyGTK will flip the interface to put labels to the right of the thing they label, but it can't do that with `gtk.Fixed`. So your application will not be usable in right-to-left languages. Finally, fixed positioning makes it kind of annoying to add and remove GUI elements, since you have to reposition all the other elements. This is a long-term maintenance problem for your application. If you know none of these things are an issue for your application, and prefer the simplicity of `gtk.Fixed`, by all means use the widget. But you should be aware of the tradeoffs.

## Constructor

        gtk.Fixed()

Returns : | a new fixed widget

Creates a new `gtk.Fixed` widget

## Methods

### gtk.Fixed.put

        def put(widget, x, y)

`widget` : | the child widget being added*
`x` : | the x position of the widget location
`y` : | the y position of the widget location

The `put`() method adds the child widget specified by `widget` to the gtk.Fixed widget at the location specified by `x` and `y`.

### gtk.Fixed.move

        def move(widget, x, y)

`widget` : | the child widget
`x` : | the new x position
`y` : | the new y position

The `move`() method moves the child widget specified by `widget` to the location specified specified by `x` and `y`.

### gtk.Fixed.set_has_window

        def set_has_window(has_window)

`has_window` : | if `True` a separate window should be created

The `set_has_window`() method specifies whether a `gtk.Fixed` widget is created with a separate `gtk.gdk.Window` according to the value of `has_window`. If `has_window` is `True` the fixed widget will be created with its own separate window. By default, the setting is `False` and the fixed will be created with no separate `gtk.gdk.Window`. This method must be called while the `gtk.Fixed` is not realized, for instance, immediately after the window is created.

### gtk.Fixed.get_has_window

        def get_has_window()

Returns : | `True` if the fixed widget has its own window.

The `get_has_window`() method returns `True` if the `gtk.Fixed` widget has it's own `gtk.gdk.Window`. See the `set_has_window`() method.

Prev | Up | Next
gtk.FileSelection | Home | gtk.FontButton